%define major 0
%define libname %mklibname tommath %{major}
%define libname_devel %mklibname tommath -d
%define libname_static_devel %mklibname tommath -d -s

Summary:	Portable number theoretic multiple-precision integer library
Name:		libtommath
Version:	0.42.0
Release:	1
Group:		System/Libraries
License:	Public Domain
URL:		http://libtom.org
Source0:	%{url}/files/ltm-%{version}.tar.bz2
Source1:	%{url}/files/ltm-%{version}.tar.bz2.sig
Patch0:		libtommath-makefile.patch
BuildRequires:	ghostscript
BuildRequires:	libtool
BuildRequires:	libtiff-progs
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex ghostscript-dvipdf

%description
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname}
Summary:	Portable number theoretic multiple-precision integer library
Group:		System/Libraries

%description -n	%{libname}
A free open source portable number theoretic multiple-precision integer
library written entirely in C. (phew!). The library is designed to
provide a simple to work with API that provides fairly efficient
routines that build out of the box without configuration.

%package -n	%{libname_devel}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	tommath-devel = %{version}-%{release}

%description -n %{libname_devel}
The %{libname_devel} package contains libraries and header files for
developing applications that use %{name}.

%package -n	%{libname_static_devel}
Summary:	Static development files for %{name}
Group:		Development/C
Requires:	%{libname_devel} = %{version}-%{release}
Provides:	tommath-static-devel = %{version}-%{release}

%description -n	%{libname_static_devel}
The %{libname_static_devel} package contains static libraries for
developing applications that use %{name}.

%prep
%setup -q
%patch0 -p1
find -name \*.c -o -name \*.h|xargs chmod 644

%build
export CFLAGS="%{optflags} -O3 -funroll-loops"

%make LIBPATH=%{_libdir} -f makefile.shared 
%make -f makefile poster manual docs

%install
export INSTALL_USER=$(id -un)
export INSTALL_GROUP=$(id -gn)

%makeinstall_std INCPATH=%{_includedir}/tommath LIBPATH=%{_libdir} -f makefile.shared

%files -n %{libname}
%doc LICENSE
%{_libdir}/libtommath.so.%{major}*

%files -n %{libname_devel}
%doc bn.pdf poster.pdf tommath.pdf
%dir %{_includedir}/tommath
%{_includedir}/tommath/*
%{_libdir}/libtommath.so

%files -n %{libname_static_devel}
%{_libdir}/libtommath.a


%changelog
* Sun Sep 09 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.42.0-1
+ Revision: 816580
- don't override default optimization flags..
- cleanups
- new version

* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.39-3mdv2011.0
+ Revision: 620233
- the mass rebuild of 2010.0 packages

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.39-2mdv2010.0
+ Revision: 439484
- rebuild

* Thu Feb 26 2009 Oden Eriksson <oeriksson@mandriva.com> 0.39-1mdv2009.1
+ Revision: 345255
- the origin of 0.41 can't be found, rolling back to 0.39

* Mon Aug 11 2008 David Walluck <walluck@mandriva.org> 0.41-3mdv2009.0
+ Revision: 270861
- BuildRequires: libtiff-progs
- BuildRequires: libtool
- fix permissions
- fix package
- import libtommath

